Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.client
Class AdapterInfo

    java.lang.Object
      com.bea.wlai.client.AdapterInfo

All Implemented Interfaces:
  Serializable

    public class AdapterInfo

extends Object
implements Serializable

Represents the major information for an adapter within WLAI. This information is a subset of the information contained in the ra.xml resource adapter descriptor for the adapter.

See Also:
  Serialized Form

Constructor Summary
`AdapterInfo()` For use by Serialize stuff.
`AdapterInfo(String appName, String displayName, boolean isBase)` For use by internal classes.

Method Summary
`boolean` | `equals(Object other)`
`String` | `getApplicationName()`
`weblogic.management.WebLogicObjectName` | `getConnectorComponentMBeanName()`
`String` | `getDescription()`
`String` | `getDisplayName()`
`String` | `getEisType()`
`String` | `getLogicalName()`
`String` | `getMCFClassName()`
`String` | `getResourceAdapterClassName()`
`String` | `getSpecVersion()`
`String` | `getTransactionSupport()`
`String` | `getVendorName()`
`String` | `getVersion()`
`String` | `getWebAppPath()`
`int` | `hashCode()`
`boolean` | `isBase()`
`void` | `setApplicationName(String appName)`
`void` | `setConnectorComponentMBeanName(weblogic.management.WebLogicObjectName objName)`
`void` | `setDescription(String description)`
`void` | `setDisplayName(String displayName)`
`void` | `setEisType(String eisType)`
`void` | `setLogicalName(String logicalName)`
`void` | `setMCFClassName(String className)`
`void` | `setResourceAdapterClassName(String className)`
`void` | `setSpecVersion(String specVersion)`
`void` | `setTransactionSupport(String support)`
`void` | `setVendorName(String vendorName)`
`void` | `setVersion(String version)`
`void` | `setWebAppPath(String path)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdapterInfo

    public AdapterInfo()

  For use by Serialize stuff.

### AdapterInfo

    public AdapterInfo(String appName,
                       String displayName,
                       boolean isBase)

  For use by internal classes.

Method Detail

### isBase

    public boolean isBase()

### getLogicalName

    public String getLogicalName()

### setLogicalName

    public void setLogicalName(String logicalName)

### getApplicationName

    public String getApplicationName()

### setApplicationName

    public void setApplicationName(String appName)

### getEisType

    public String getEisType()

### setEisType

    public void setEisType(String eisType)

### getVendorName

    public String getVendorName()

### setVendorName

    public void setVendorName(String vendorName)

### getVersion

    public String getVersion()

### setVersion

    public void setVersion(String version)

### getDisplayName

    public String getDisplayName()

### setDisplayName

    public void setDisplayName(String displayName)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getSpecVersion

    public String getSpecVersion()

### setSpecVersion

    public void setSpecVersion(String specVersion)

### getTransactionSupport

    public String getTransactionSupport()

### setTransactionSupport

    public void setTransactionSupport(String support)

### getMCFClassName

    public String getMCFClassName()

### setMCFClassName

    public void setMCFClassName(String className)

### getResourceAdapterClassName

    public String getResourceAdapterClassName()

### setResourceAdapterClassName

    public void setResourceAdapterClassName(String className)

### getWebAppPath

    public String getWebAppPath()

### setWebAppPath

    public void setWebAppPath(String path)

### getConnectorComponentMBeanName

    public weblogic.management.WebLogicObjectName getConnectorComponentMBeanName()

### setConnectorComponentMBeanName

    public void setConnectorComponentMBeanName(weblogic.management.WebLogicObjectName objName)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD